This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 115592 - Logical Volume Manager hangs on boot on LVM/LVM2 root filesystem
Logical Volume Manager hangs on boot on LVM/LVM2 root filesystem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-13 13:25 EST by Bill Merriam
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 11:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Merriam 2004-02-13 13:25:52 EST
Description of problem:

After installing FC2 test1 root filesystem on LVM2 logical volume boot
hangs on Logicial Volume Manager initialization trying to access CDROM
drive.

Version-Release number of selected component (if applicable):


How reproducible:
Very

Steps to Reproduce:
1. Install FC2 test 1 on LVM2 root filesystem
2. Reboot
3. This problem is noted in the release notes
  
Actual results:

After message is issued about LVM startup the light on the hard drive
and the CDROM drive blink alternately and boot does not proceed.

Expected results:


Additional info:

The workaround is to place a cdrom in the drive after the grub screen
is displayed and before kernel is loaded by grub.  A quick fix would
for anaconda to create an /etc/lvm/lvm.conf file that excludes the
cdrom drive.  A better fix would be for the LVM to figure out not to
wait around for an empty removable drive.
Comment 1 Stefan Schwandter 2004-02-15 12:01:05 EST
Are you shure that it doesn't boot after a while? I see the same, but
after three minutes or so, the boot finally proceeds.

Not meaning to say that this behaviour is correct though.
Comment 2 Bill Nottingham 2004-02-16 01:50:32 EST
LVM2 is using a not-very-good mechanism for searching for devices. It
will be fixed in a future upstream release, as it looks in sysfs.
Comment 3 Alexandre Oliva 2004-03-02 14:56:28 EST
Should be fixed in rawhide for now, unless you've got raid devices as
physical volumes.

Note You need to log in before you can comment on or make changes to this bug.